## $Id: batching.py 15000 2018-05-06 10:16:09Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Batch processing components for student objects.
"""
from kofacustom.nigeria.students.batching import NigeriaStudentProcessor
from waeup.kofa.students.batching import StudentOnlinePaymentProcessor
from kofacustom.edopoly.students.interfaces import (
    ICustomStudent,
    ICustomStudentUpdateByRegNo,
    ICustomStudentUpdateByMatricNo,
    ICustomStudentOnlinePayment
    )

class CustomStudentProcessor(NigeriaStudentProcessor):
    """A batch processor for ICustomStudent objects.
    """
    iface = ICustomStudent
    iface_byregnumber = ICustomStudentUpdateByRegNo
    iface_bymatricnumber = ICustomStudentUpdateByMatricNo

class CustomStudentOnlinePaymentProcessor(StudentOnlinePaymentProcessor):
    """A batch processor for ICustomStudentOnlinePayment objects.
    """
    iface = ICustomStudentOnlinePayment
